Class | Tk::Tile::TCombobox
In: | tk/lib/tkextlib/tile/tcombobox.rb
Parent: | Tk::Tile::TEntry

### Methods

current current= identify set style

### Included Modules

Tk::Tile::TileWidget

### Constants

TkCommandNames | = | ['::ttk::combobox'.freeze].freeze
TkCommandNames | = | ['::tcombobox'.freeze].freeze
WidgetClassName | = | 'TCombobox'.freeze

### Public Class methods

style(*args)

[Source]

    # File tk/lib/tkextlib/tile/tcombobox.rb, line 37
      def self.style(*args)
        [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
      end

### Public Instance methods

current()

[Source]

    # File tk/lib/tkextlib/tile/tcombobox.rb, line 41
      def current
        number(tk_send_without_enc('current', idx))
      end

current=(idx)

[Source]

    # File tk/lib/tkextlib/tile/tcombobox.rb, line 44
      def current=(idx)
        tk_send_without_enc('current', idx)
      end

identify(x, y)

[Source]

    # File tk/lib/tkextlib/tile/tcombobox.rb, line 48
      def identify(x, y)
        tk_send_without_enc('identify', x, y)
      end

set(val)

[Source]

    # File tk/lib/tkextlib/tile/tcombobox.rb, line 52
      def set(val)
        tk_send('set', val)
      end

[Validate]